Theme Name: Foxiz - WordPress Newspaper News and Magazine
Version: 2.7.0
Demo URL: https://foxiz.io/
Author: http://themeforest.net/user/theme-ruby/

Hi, Thank you for choosing and purchasing Foxiz. We love our customers and we will give you our best support.
Should you have any other concerns while using this theme, please feel free to contact us at any time via the support tab URL of the item.
https://themeforest.net/item/foxiz-wordpress-newspaper-and-magazine/34617430/support

-------------------------------
PLEASE NOTE:

Please ensure to back up your entire site, including files and databases. Additionally, export or save a copy of current theme options to preserve settings. Testing in a staging environment is advised if available, and ensure all plugins and WordPress core are up to date. For assistance or issues, contact our support team.

After updating the theme, it's necessary to regenerate all dynamic CSS of Elementor. To do so, please navigate to
"Elementor > Tools" and click on "Regenerate Files & Data".

------ Version: 2.7.0 ------
- Added new demo: Global Digest news concept https://foxiz.io/gdigest/
- Added light view counter support for better performance and optimized for high-traffic sites.
- Added popular query compatible with light view counters, working with all popular queries.
- Improved optimization for PHP 8.4.x and WordPress 6.9.
- Added new method to support multiple authors via ThemeRuby Multiple Authors, a lightweight and fast plugin.
- Added support to display posts compatible with ThemeRuby Multiple Authors plugin.
- Added FAQ schema for Accordion Gutenberg block.
- Added a new word rotation Elementor block with smooth animation.
- Added option to choose mobile browser navigation color.
- Added auto translation tool for quick translation.
- Added import/export for Translation Tool to help quickly move translation data between sites.
- Added entrance animation for Gallery block.
- Added support for featured image in RSS2 feed with on/off settings.
- Added support for CAPTCHA services reload on Newsletter popup to ensure it displays correctly.
- Improved optimized Foxiz queries for better performance.
- Improved Elementor edit page, auto ads no longer load during post editing.
- Improved CSS by removing unnecessary -webkit prefixes for modern browsers, optimized CSS load.
- Improved by removing HTML5 shim script as it is no longer needed in modern browsers.
- Many other improvements and bug fixes.

------ Version: 2.6.9 ------
- Improved PHP logic for improved performance.
- Improved frontend registration form block for better compatibility with the WPML plugin.
- Improved Google Fonts updates.
- Fixed schema issue in the Gutenberg review product block.
- Fixed minor bugs.

------ Version: 2.6.8 ------
- Added login form hook settings for the login block for better compatibility with 3rd-party captcha plugins.
- Improved 3rd-party Advanced Google reCAPTCHA compatibility for login/register blocks.
- Improved compatibility with the latest WooCommerce plugin version 10.1.2.
- Improved Table of Contents, removed H1 support as it is not necessary.
- Improved update Google Fonts
- Improved demo importer functions.
- Fixed local fonts uploader not applying when all Google Fonts are disabled.
- Fixed minor bugs.

------ Version: 2.6.7 ------
- Improved table of contents HTML structure for better SEO
- Improved removal of delay in smooth scroll of table content for better UX
- Improved popup template block for cases with multiple trigger buttons using the same template
- Fixed image selection in avatar settings not working in some cases
- Fixed minor bugs

------ Version: 2.6.6 ------
- Added new BuzzVibe Daily demo concept.
- Added option to remove author avatar image in Author Profile.
- Added custom image upload for all Foxiz taxonomies list blocks.
- Added responsive width settings for the ad image block.
- Improved overall PHP performance, reduced frontend database queries, and improved caching for faster load times.
- Improved HTML attributes and markup structure for better SEO.
- Improved Direct Edit Template shortcut button inside Theme Options for easier template editing.
- Improved gallery post format style (slider with nav) with fewer than 6 images.
- Improved and add new spacing controls and scaling for Social Counter widget.
- Improved Reading Indicator bar color settings to match the left-to-right setting.
- Various other improvements and bug fixes.

------ Version: 2.6.5 ------
- Added new "SEO & Affiliate Monetize" demo for marketing and monetization-focused websites.
- Added single tagline color option for dark mode.
- Added stacked button styles and improve settings for the Elementor "Call to Action" block.
- Added support for translation files in the "loco" folder to preserve translations even when the plugin is disabled.
- Added glass effect option for the sticky menu.
- Added "Quick Links" block to support sub-term queries in taxonomy templates.
- Improved theme performance for faster load times and reduced memory usage.
- Improved subcategory display only shows subcategories that contain posts.
- Improved help texts in settings for better clarity and user guidance.
- Various other improvements and bug fixes.

------ Version: 2.6.4 ------
- Added new Gutenberg "Call to Action" block for affiliate marketing and blog conversions.
- Added new Gutenberg "Image Slider" block.
- Added new settings for the Gutenberg "Related Posts" block, heading layout supported.
- Added publish and updated date formats in single post meta.
- Improved Gutenberg block settings layout for easier configuration and quicker access.
- Improved update google fonts.
- Fixed autoplay in the Breaking News block.
- Improved autoplay functionality and fixed issues in carousels and sliders blocks.
- Various other improvements and bug fixes.

------ Version: 2.6.3 ------
- Improved typography panel settings for small screens.
- Improved importer functions.
- Fixed minor bugs.

------ Version: 2.6.2 ------
- Compatible with WordPress 6.8.x.
- Added new "Morning News" (https://foxiz.themeruby.com/morningnews) concept.
- Added index counter style with leading zero option for all post listing blocks.
- Added full-width style support for "Load More" and "Next/Prev" AJAX buttons.
- Added color settings for the "Last Updated" meta in single posts.
- Added color settings for term meta in post entry meta, applicable globally and per individual term including categories, tags, and custom taxonomies.
- Added option to disable tag labels in tag meta and support color styling like category meta.
- Added background and outline style options for term meta in entry meta bar.
- Added font size settings for important meta information.
- Added border radius and description font size settings for Ad widget.
- Optimized Theme Options and search functionality, allowing direct click on section titles in search results for quicker navigation.
- Optimized dynamic CSS saving process for faster performance and Theme Options load time.
- Optimized border settings for the Newsletter box.
- Improved HTML structure for avatar meta.
- Improved front-end login for better compatibility with third-party CAPTCHA services.
- Improved divider (<hr>) with minimal border style to improve content separation and readability.
- Optimized HTML output for better SEO.
- Optimized PHP code.
- Fixed dark mode color settings not applying in Elementor when using custom SVG in minimal style.
- Various other improvements and bug fixes.

------ Version: 2.6.1 ------
- Fixed post options not appearing for certain user roles.

------ Version: 2.6.0 ------
- Added new "Live & Inspire Magazine" (https://foxiz.themeruby.com/lifeunfiltered) concept.
- Added new "Artists & Exhibitions" (https://foxiz.themeruby.com/illuminated) magazine concept. 
- Added local font uploader to support any custom fonts and assign them via Theme Options panel.
- Optimized overall CSS for better performance and load time.
- Updated front-end submission plugin to the latest version from WordPress plugin repository.
- Optimized PHP functions for better performance.
- Allowed Foxiz activation on staging URLs for popular hosting services (Kinsta, WPEngine, Flywheel, Cloudways, SiteGround, etc.) while keeping production site activated.
- Added new Gallery block with multiple layouts and styles, using base CSS masonry layout for better performance.
- Added new heading styles for the Heading block.
- Added more settings for heading tagline.
- Added login_form action support in popup form for improved compatibility with third-party login CAPTCHAs.
- Added new solid border style for block and post listing divider.
- Added new border style for entry category meta, optimized spacing across all styles.
- Added predefined single post layout settings for individual categories.
- Added new single post layouts for Standard, Video, and Audio post formats.
- Added option to disable excerpt based on post title length in post listings.
- Added style options for standard list styles (ol, ul).
- Added fixed right layout and new cover image layout for the Newsletter Popup.
- Added two new parameters for [ruby_related] shortcode: style="plain" or style="border", and width="wide"; allows disabling block heading by leaving "heading" parameter blank.
- Improved Foxiz Dashboard, added a new button to refresh expired support time data.
- Added settings to change divider style in mobile menu.
- Added setting to control hidden sitename H1 tag on the homepage in the SEO Optimized panel.
- Improved comment box for better compatibility with Disqus.
- Improved hover effect 3 and underline spacing for post meta.
- Improved Author Avatar settings UI in Profile pages.
- Improved inline [ruby_related] shortcode behavior to avoid duplication when used multiple times.
- Improved excerpt typography settings, now supports line-height customization.
- Improved header layouts to make stylist icon size automatically adjust based on heading font size.
- Improved boxed color behavior settings for all boxed post listing blocks, allowing background control in both light and dark modes when the light text color scheme is selected.
- Improved styling for alignwide images.
- Fixed language bar position on the login page when using a customized login layout.
- Fixed missing Bluesky share option in the single entry meta.
- Various other improvements and bug fixes.

------ Version: 2.5.7 ------
- Improved query of personalized blocks for custom taxonomies.  
- Fixed the author lightbox cut-off in single layout 3 and layout 4.  
- Resolved minor bugs.

------ Version: 2.5.6 ------  
- Added new demo: EV Cars News.  
- Added new layouts for Foxiz Heading block.  
- Added more layout and style settings for overlay blocks, increasing design possibilities.  
- Added settings to change icon color to dark for review meta, matching light review primary color.  
- Added stars and score size control for Elementor post listing blocks.  
- Added option to add SVG attachment ID into menu items, allowing SVG colors to change via menu color settings.  
- Added new dark mode switcher styles, supporting custom dark mode icons.  
- Added author lightbox when hovering over single author meta, with individual and global settings included.  
- Added global color settings for all buttons for modern design compatibility.  
- Added logo height and header max-width settings for all predefined headers.  
- Added color hover effects for the submenu items.  
- Added menu spacing and icon spacing settings for the menu.  
- Added global button hover scale and shrink animations.  
- Combined submenu settings across all predefined headers for easier configuration.  
- Added option to assign sidebars for custom post types.  
- Added option to disable the left border for image captions.  
- Added local Gravatar image support via image attachment ID input settings for individual users, eliminating the need for any third-party plugin.  
- Added new method for Adblock Detection and fixed issue in AMP mode.  
- Added new layout for the single post highlight section.  
- Improved Foxiz Banner block.  
- Improved header collapse section settings.  
- Improved autofocus for search input when triggered by the search icon. 
- Improved custom search icon display at the top search form of the search page.
- Improved Author Box 1 and 2 settings and layouts.  
- Improved entry meta HTML structure.  
- Optimized header settings panel.  
- Optimized social sharing functions.  
- Optimized CSS code.  
- Fixed "Live" label and "Exclusive" label not working for specific charset text.  
- Fixed sponsor logo alignment issues in overlay blocks.  
- Fixed bbPress text domain loading issue in WordPress 6.6.  
- Removed "X" label in "Share on X" to avoid confusion with logo and text.  
- Fixed minor bugs and layout inconsistencies.  

------ Version: 2.5.5 ------
- Added a new Pop Culture & Entertainment demo.
- Added new settings for the banner block.
- Introduced new layouts for the Foxiz heading block.
- Added template display conditions for the mobile collapse section.
- Added og:image:secure_url to OG tag and improve OG tags for the author page
- Fixed issue with user X profile (Twitter) display.
- Fixed issue where the "Live" and "Exclusive" labels did not function with specific (non-UTF-8) charset text inputs.
- Updated Google Fonts data.
- Minor improvements and bug fixes.

------ Version: 2.5.4 ------
- Added VKontakte to the social followers widget  
- Fixed the load theme text domain function notice in some scenarios  
- Fixed VKontakte profile issue
- Fixed widget page load issue in the Block Editor mode 
- Minor improvements and bug fixes

------ Version: 2.5.3 ------
- Added Bluesky Social to the follower widgets
- Added post sharing on Bluesky
- Improved "Twitter" label to "X" for better consistency
- Improved and fixed email sharing: included site name in the subject line and post tagline in the email body
- Minor improvements and bug fixes

------ Version: 2.5.2 --------
- Compatible with WP 6.7.x
- Added new Focus Reporter news demo
- Added option to convert grid to list layout for tablet; now you can fully control all grid block layouts for both tablet and mobile.
- Added color settings for badge verification
- Improved author badge verification feature; added global settings for all authors.
- Improved WooCommerce templates to be compatible with the latest version
- Improved the left share bar, search form (on search page), and adjusted shadow and border based on button hover style
- Improved sponsored post meta HTML
- Improved styles for buttons, entry category hover effect, and input fields when choosing styles 2 or 3
- Fixed button color issue for login and register forms
- Minor improvements and other bug fixes

------ Version: 2.5.1 --------
- Added popup (lightbox) block that allows popup content creation via Ruby Template
- Fixed single audio post issue
- Minor improvements and bug fixes

------ Version: 2.5.0 --------
- Added front-end submission plugin with form settings, user post management, and much more.
- Added a new trendy design.
- Added table of contents font settings.
- Added single pagination font settings.
- Added BlueSky social media.
- Added verification icon to the author box.
- Added support for selecting the default crop size for WordPress core in all blocks.
- Added an increased tag cloud limit to allow up to 100 tags.
- Improved overall PHP logic and optimized loading file codes to increase speed, enhance security, and reduce CPU, memory usage.
- Improved the overall Foxiz dashboard, allowing management of all theme features and options in one place.
- Improved overall JavaScript code to comply with Privacy Sandbox policies of browsers.
- Improved the overall demo importer, allowing cleanup of the importer and facilitating a fresh installation.
- Improved translation support, enabling quick string searches.
- Improved the WPML configuration file.
- Improved search functionality in the theme options.
- Improved outdated WooCommerce template notice.
- Improved CSS styling issues.
- Improved update Google Fonts.
- A ton of improvements and other bug fixes.

------ Version: 2.4.3 --------
- Added new daily news concept
- Added new timeless news and magazine concept
- Added flipboard feature to user and web social profiles
- Added styling for the sidebar menu block
- Added top template for tag pages
- Improved Theme Options panel for enhanced clarity and add detailed descriptions for Standard Block Design, Category, Blog Index, Search, Tags, and Archive Panels
- Improved individual category settings
- Improved menu block settings
- Improved category icon limitation settings; separated limitation settings into a new configuration for single post pages
- Removed retina logo settings; now all logo settings require retina (x2 size) to suit modern display resolutions
- Improved fallback for logo settings to retina quality if configured
- Fixed issue where the Theme Options panel failed to load on AWS servers in some scenarios
- Various other improvements and bug fixes

------ Version: 2.4.2 --------
- Added container width settings for predefined single post layout
- Added frontend register form block
- Improved frontend login form, added support for forgot password
- Improved Login Theme Options panel
- Improved some Elementor blocks
- Improved PHP functions for optimized speed
- Improved personalize blocks
- Fixed ol/ul styling in WordPress version 6.6
- Fixed author bio link issue
- Minor improvements and bug fixes

------ Version: 2.4.1 --------
- Fixed compatibility issues with older PHP versions (prior to 7.4.x) in version 2.4.0.
- and minor improvements and bug fixes.

------ Version: 2.4.0 --------
- Improved overall theme performance: reduced CSS file size, minimized dynamic CSS, optimized PHP and JS code.
- Improved INP speed value for Core Web Vitals.
- Added new demos: Coffee & Tea, Recipe, Watches Shop.
- Added global settings for the featured image ratio in theme options.
- Added more columns control for simple gallery for responsive design.
- Added more socials options for site socials and user profiles.
- Added more socials for the social counter widgets.
- Added styling support for WordPress Recipe Maker.
- Added schema video format markup with on/off setting.
- Added notification and one-click automatic update for theme and core plugins for future versions.
- Added URL options and improved call to action blocks to allow clicking the entire block.
- Added Disclosure box to the top section of single post for easy addition of information.
- Added scroll to restriction when clicking on table of contents if the post is protected by membership.
- Added mobile logo height option.
- Added disable settings for tablet and mobile for the divider element of the flex grid and list.
- Added option to choose order by: random, date, updated, and relevance for the related posts in theme options and Gutenberg related block.
- Changed default order of related blocks to random.
- Added global size settings for the dark mode switcher.
- Added sidebar width control for the shop and category pages.
- Added support for sticky sidebar on the shop & product category pages.
- Added columns settings for image gallery on the single product page.
- Add overlay link settings for the Gutenberg review block.
- Improved featured image settings for the personalize blocks.
- Improved author bio box.
- Improved only load CSS for WP Simple Membership when using this plugin.
- Improved styling and settings for newsletter boxes 1, 2, and 3, added image width control for newsletter box 1.
- Supported lazyload for background image in the newsletter boxs.
- Improved sticky code to ensure the last widget of a Ruby template sticks when assigned to sidebars, eliminating the need to create multiple sidebar templates for sticky the last widget.
- Improved bookmark and follow features for logged-in users, synchronized across devices when logged in simultaneously.
- Improved search header style settings.
- Reduced installation package size.
- Removed theme options from the customization panel as many specific settings are not supported on this page, thereby enhancing backend performance.
- Improved WooCommerce styling, compatible with WooCommerce v8.9.3
- Improved overall styling and spacing for small elements such as menu labels, footer menu, category icons, ordered lists, and unordered lists.
- Fixed Yoast SEO breadcrumb styling.
- Fixed product search widget layout.
- Fixed Gutenberg accordion tab block in AMP mode.
- Fixed new checkout/cart block layout of the latest WooCommerce.
- Fixed Gutenberg note custom header background color in the dark mode.
- Various other improvements and bug fixes.

------ Version: 2.3.6 --------
- Improved animation styling speed
- Improved AJAX requests.
- and minor improvements and bug fixes.

------ Version: 2.3.5 --------
- Fixed Tree Shaking CSS conflict causing icons not to appear correctly in AMP mode.
- and minor improvements and bug fixes.

------ Version: 2.3.4 --------
- Added automatically remove duplicated posts for the blog page (category, blog, archive) without using a Ruby template when it has a top featured blog post area.
- Added option to disable ads script on 404 page.
- Added more font weights for default system UI fonts.
- Added font weight 300 for the body font.
- Fixed loading Elementor CSS in the standard single post in the old version.
- Fixed overflow in Gallery block when using single template builder.
- Fixed multiple quote blocks styling issue.
- Updated Google Fonts.
- Other improvements and bug fixes.

------ Version: 2.3.3 --------
- Compatible with WordPress 6.5
- Enhanced PHP code performance
- Added setting for paragraph tag spacing in single posts
- Added option to create a top search template area, beneficial for showcasing the header area (including title and search form) at the top in scenarios where no results are found while utilizing a template to construct the search result layout.
- Added post type select custom post types in the search form.
- Added and improved settings include or exclude post types in the search result settings for better understanding and easier setup.
- Added support for multiple position for inline related content via shortcodes.
- Added background settings for the table of contents, inline related and left share section.
- Added settings for templates, posts per page, and headers for the primary archive page of custom post types, particularly beneficial when enabled through third-party plugins.
- Improved primary tag selection to mitigate the load time when editing posts on websites with large tag datasets.
- Fixed conflicts with Select2 and certain third-party plugins in the post editor in some scenarios.
- Other improvements and bug fixes.

------ Version: 2.3.2 --------
- Added cache feature for the taxonomy-based post list to optimize large query content.
- Added the capability to manually input post type keys to control the display of post types in search page results.
- Added on/off option for iframe responsive support in the classic editor mode.
- Improved the settings panel by relocating tag page, taxonomy, and post types settings into new dedicated panels.
- Updated Google Fonts.
- Other improvements and bug fixes.

------ Version: 2.3.1 --------
- Added support for <p> and <div> tags for global tagline.
- Added new taxonomy-based post listing block.
- Added responsiveness for YouTube, Vimeo, and Dailymotion videos when embedded via iframe code in the classic editor.
- Added disable setting for the entry meta settings.
- Added layout panels for the custom post types, created with both ACF and Custom Taxonomy UI plugins.
- Added more RSS podcast settings for shows.
- Fixed category link issues related to primary category settings, enhancing speed of this function.
- Other improvements and bug fixes.

------ Version: 2.3.0 --------
- Improved overall PHP code, achieving a 2x boost in loading performance, and reducing CPU usage.
- Improved overall CSS and JS code to significantly reduce page load times.
- Compatible with WordPress 6.4.x.
- Added new travel demo: City Secrets.
- Add new travel demo: Wandering
- Added featured image settings for post tags and any custom taxonomies.
- Added the ability to follow post tags in the personalized system.
- Added a follow button for the tag title in the tag page.
- Added new features and improved settings for all category list blocks, allowing the display of post tags and any custom taxonomy.
- Added a new taxonomy block: Taxonomy list 6
- Added settings to display of total posts of subtaxonomies in the taxonomy list blocks.
- Improved recommended queries, now supporting post tags that are followed.
- Added a global template builder and header layout settings for all taxonomies.
- Added global template builder settings and header layouts for the post tags.
- Added a term_id column in the edit-tags backend pages for easy identification of ID information.
- Improved the theme options by moving tags, author, and archive panels out of submenus for easy accessibility.
- Added support for custom HTML tags for entry meta in all blocks, allowing the display of custom icons in the entry meta bar.
- Supported AMP for GTM plugin integration.
- Added threats and RSS socials for the social counter block.
- Added specially organization logo settings for SEO; this logo will appear when sharing the homepage on social media.
- Added limit Tags/Taxonomy Links display settings in post listing; this setting is helpful if you have many tags for a post.
- Added support podcast RSS for the show, allowing you to upload the RSS feed to third-party podcast services.
- Added necessary RSS tag input data for show and episode.
- Support unique posts for Global Query, allowing the display of a custom featured section area before the blog listing, ensuring that non-repeated posts are shown in the main blog listing.
- Added the ability to input the keyword: {dynamic} into the tag slug and defined taxonomy settings, enabling the filtering of posts by dynamic tags and taxonomy. The posts will be queried based on the current archive.
- Added mobile header template settings for individual single pages.
- Added settings to control the placement of top and bottom content ad widgets in pages, posts, and podcast posts.
- Added settings to allow disabling the fallback caption for the featured image if the setting is empty.
- Added color settings for slider and carousel dots and navigation in both default and dark modes.
- Improved ad-block detector to be compatible with modern ad block extensions.
- Improved category search form, eliminating the incorrect navigation to the search page when pressing Enter.
- Improved the overall block query settings panel order in the Ruby template for easy accessibility.
- Improved the print template to support the display of featured and content images in print mode.
- Improved heading block, removing the link from the description in style 19
- Improved underline hover for entry metas to achieve a minimalistic appearance, thereby improving clarity for focused reading.
- Improved the display of header advertising widget area for headers built with templates, removed in transparent headers.
- Updated Google fonts
- Updated font icons
- Fixed JavaScript conflict with ACF Pro in the editor in some scenarios.
- Various other improvements and bug fixes.

------ Version: 2.2.4 --------
- Improved removed the native share icon on unsupported browsers, such as Firefox (desktop)
- Updated Google fonts
- Fixed Twitter embeds were not displaying when the live was refreshed in live blogging posts.
- Fixed issue where single content text was overflowing on mobile devices in version 2.2.3 in some scenarios.
- Other improvements and bug fixes.

------ Version: 2.2.3 --------
- Added new demo: AndroidHub.
- Added new demo: SmartStats.
- Added new demo: MarketMinds.
- Added primary tag settings.
- Added settings to choose a display tag to replace the default category on the category page to increase engagement.
- Added setting to limit the display of tag icons on the category page.
- Added meta description input (SEO) for posts.
- Added meta description input (SEO) for single pages.
- Added new 2 predefined single layouts for news.
- Added custom ratio settings for the featured image in two new layouts.
- Added color settings for the hover effect of post titles.
- Improved single featured caption and attribution style of featured images in single post.
- Integrated the Select2 dropdown for easier primary category, tag selection.
- Improved the top quick view review box.
- Added setting to choose to stick the last widget for default sidebars.
- Added custom class names to choose to stick the last widget for Elementor containers: .rb-sticky-last-widget
- Added width settings for single post content in the sidebar and full-width mode to optimize line strength for reading.
- Added maximum width settings for the single page.
- Added new layouts for the tag, source, and via section at the footer of the single post content.
- Improved HTML DOM for the tag, source, and via section.
- Added new styles settings for newsletter blocks.
- Added divider styles for predefined mobile headers.
- Added a setting to allow other ads when using auto place ad functionality.
- Added line-height settings for some elements in Typography.
- Introduced new styles for AJAX loader.
- Provided a fallback to default logos (set in Theme Options) for the logo block.
- Improved CSS in RTL mode.
- Fixed query filter of Gutenberg related block.
- Fixed the issues: bold style and prefix label of Custom meta.
- Improved: removed the default prefix for custom meta when a custom label is input in Elementor blocks.
- Fixed spelling errors "Gray Background".
- Fixed the Gutenberg accordion tab block couldn't be triggered when loaded in the next post content.
- Various other improvements and bug fixes.

------ Version: 2.2.2 --------
- Improved live blogging minimum Refresh Interval into 30s.
- Fixed display timestamp offset issue in event date meta.

------ Version: 2.2.1 --------
- Added LiveBlogPosting schema for live blogging post.
- Added location input for LiveBlogPosting schema.
- Added options to select News Article type for post schema markup in single post and theme options.
- Improved overall schema markup, enabling search engines to swiftly identify and comprehend the structured data associated with the page/post, potentially enhancing SEO.
- Fixed issue with the live block not appearing when the Event Date setting is not triggered to set value in the right panel.
- Other improvements and bug fixes.

------ Version: 2.2.0 --------
- Optimized overall PHP and JavaScript, to make them as fast as possible.
- Optimized and removed unnecessary CSS styling.
- Added 2024 modern demo: Innovation
- Added live blog demo: BuzzStream
- Added live blog post features
- Integrated Gutenberg blocks specifically tailored for the live blog.
- Added various social counters for news sources: Medium, Steam, Twitch, LinkedIn, Patreon, Google News, Flipboard, Trust, Snapchat.
- Added line-height for default headings and body typography, automatically adjust values for mobile and tablet.
- Added conditional logic to display the logged menu specifically for the login button in the mobile collapse section.
- Added a current date block
- Added a login form block
- Added combined manual input and top taxonomies settings for the quick link block.
- Added HTML input capability for quick link labels.
- Added setting to choice of excerpt sources for the single tagline.
- Added logo width settings for mobile and tablet devices.
- Added additional mobile columns settings for all category list blocks.
- Added gap settings for the newsletter box 1 block.
- Added uniqueness for related blocks, allowing multiple inline related blocks without repetition.
- Added uniqueness to personalized block queries.
- Improved layout of the default WordPress login and forgot password pages
- Improved the table of contents, fixing raw HTML display when there are shortcodes in heading tags.
- Improved letter spacing settings, automatically adjust values for tablet and mobile.
- Improved icon fonts.
- Improved heading bottom spacing in single post content.
- Fixed the issue where the forward slash appeared unexpectedly when inputting specific symbols in quick translation.
- Fixed an issue where the post format icon font size was not applied when choosing big icons.
- Fixed an issue where the sponsored post meta didn't align center when centering mode was activated in boxed blocks.
- Fixed an issue where the Ruby Template panel did not appear correctly in multi-sites in certain hosting environments.
- Updated Google fonts
- Various other improvements and bug fixes.

------ Version: 2.1.5 --------
- Improved the image attribute, lazyload for Gutenberg product and products list blocks.
- Improved reading time calculation for Chinese, Korean, and Japanese languages.
- Improved icon font preload.
- Fixed the 'time ago' information when the site includes local time (GMT) setting.
- General improvements and bug fixes.

------ Version: 2.1.4 --------
- Added the TV & Movies news demo.
- Added a new blog resume (without a featured image) demo.
- Added new features for the quick links block, allowing automatic selection of top categories, tags and any taxonomies (based on total posts).
- Added more style settings for the quick links block.
- Added and improved the overall single meta block for easier setup.
- Added new image ratio and other settings for the post featured image block.
- Added internal links for the affiliate product list and affiliate product Gutenberg blocks.
- Added more popular review filters, including options for 3 days, a week, a month, and a year for all blocks.
- Added Jetpack filter support for all blocks.
- Added additional style settings for the mini cart header.
- Added background setting for each mega menu item in 'Appearance > Menu'
- Added disable archive and tag title prefix setting.
- Enhanced the styling for the live search block.
- Improved color settings for the header dropdown block, including search, notification, and mini cart.
- Improved the header panels settings.
- Optimized the CSS code to make it lighter.
- Removed meta post type settings for products to avoid confusion.
- Improved print CSS.
- Fixed an issue with the inline related and TOC not appearing in a post edited with Elementor in version 1.2.2 due to the absence of root P tags.
- Fixed the white text issue in the header dropdown in some cases with default headers.
- Fixed the avatar issue in the comment box in review mode.
- Fixed the YouTube playlist block issue on mobile with the new Elementor (grid container) and added max height settings for the playlist video.
- Numerous other improvements and enhancements.

------ Version: 2.1.3 --------
- Added mobile header bar template builder
- Added Mobile search block
- Added mobile mini cart block
- Added mobile menu toggle block
- Fix the related and TOC cannot display in content that has special language charsets in version 2.1.2
- Other improvements and minor bug fixes.

------ Version: 2.1.2 --------
- Support align wide image and gallery
- Added max width setting for wide image and gallery
- Added new dark mode setting: based on the user's browser without switching modes
- Added new style settings for newsletter 1 block
- Added new style settings for newsletter 2 block
- Added Google News social
- Added single entry meta setting for each post type, allowing you to control which custom taxonomies are displayed.
- Support custom post types in the live ajax search
- Added product per page settings for product category
- Combine cart button layout and box style together for easy understanding and setup
- Added text color scheme for the product list, allowing you to set a dark abstract background in the light mode.
- Added more style settings for the add to cart button in the product block
- Added a new setting to disable the AJAX load next if it is a bot or crawler
- New music magazine demo
- New kids demo
- New photography demo
- Improve teaser image to support external images
- Improve and change entry meta of live search to updated post info
- Improve border hover settings for the call to action block
- Improve default theme options params when Foxiz Core is disabled
- Remove shop settings to speed up theme options if the plugin isn't active
- Improve demo importer
- Move product typo setting into Typography setting panel for easy finding
- Fix shop posts per page not working in the latest version of WooCommerce plugin
- Optimize WooCommerce CSS to make it lighter
- Improve the automatic positioning of inline related content, table content, and inline advertisements, preventing incorrect placement within other Gutenberg blocks containing p tags.
- Improve automatically disabling inline related content if it is added manually via shortcode or Gutenberg block
- Can set TOC at the top of content via the value "0" in the position.
- Optimize dark mode, support new setting to move a small detection code of dark mode after the body (Theme Options > Dark Mode > Preventing Dark Mode Flickering), can prevent flicker even when using local storage mode
- Optimize personalize system code to make it more compatible with old database versions
- To improve the 'Show Updated Date on Google Search,' switch to using Hook. Now, your published date entry will display normally if you enable it with the fake(updated) value.
- Improve the ability to make a sidebar sticky using 'rb-sticky' classname in the new Elementor container system
- Added many other improvements and minor bug fixes.

------ Version: 2.1.1 --------
- Added global post layout settings for individual post types.
- Introduced the ability to assign a primary taxonomy for each post type, replacing the entry category.
- Added table of contents (TOC) settings for individual podcast post.
- Updated TOC support settings to directly specify post types, enabling precise control over table of contents display for specific post types.
- Added color options for post tags, which can serve as entry category icons.
- Added a setting to replace taxonomy as the entry category for all blocks.
- Fixed edge spacing issues in single posts on mobile devices.
- Other improvements and minor bug fixes.

------ Version: 2.1 --------
- Added Introduced OpenAI support for creating content
- Enhanced support for fully custom post types and taxonomies created via Custom Post Type UI plugin
- Added a wide range of settings for individual single custom post types, including layout, sidebar, tagline, inline related content, table of contents, featured image size, review settings, inline ads, source attribution, fake view count input, captions, and more.
- Added options to specify single meta input keys, giving you control over which metadata to display, allowing you to add custom field values and custom taxonomy.
- Added individual taxonomy settings, allowing you to build templates, colors, styles and more
- Added support to display prefixes and suffixes for almost entry meta
- Added support for taxonomy meta by including the taxonomy slug/name in custom entry meta
- Added support for custom field values by including the meta box key in custom entry meta
- Added a single post layout based on the post category
- Added the ability to set a main review for the Gutenberg review block
- Added custom ID input of the related block
- Added an option to hide the table of contents (TOC) when content is initially loaded.
- Added TOC hierarchy in full-width columns and improve the layout.
- Added limit number of next posts for single AJAX loads.
- Added offset setting for the 'continue reading' button to display it after load "x" next posts.
- Added meta divider style setting for individual blocks.
- Added a new meta divider style: wrap line, optimized meta CSS to make it more spacing accurate.
- Added top views filter by Jetpack for the flex blocks, including view, like (if supported), and day period settings.
- Added teaser images element in the flex blocks, allowing you to show some content images in the post listing with columns, size and number of images.
- Added exclude category IDs filter
- Added sticky header setting for Container blocks, ensuring the theme is most compatible with the new Elementor grid system.
- Improved category, tag, and podcast show backend setting panel
- Improved page and post setting panel
- Improved Foxiz Admin setting panels
- Improved move GTA 4 settings into the Foxiz Panel for centralized management
- Improved Twitter icon
- Fixed white right spacing in some cases on some tablet devices when viewed website with desktop mode.
- Fixed subtitle font settings in the hierarchical blocks
- Fixed post in filter issue
- Fixed left share bar sticky issue on tablet devices
- Fixed the horizontal scroll bar appearing in some cases on tablet devices
- Fixed page template layout issues caused by whitespace input in some cases
- Various other improvements and minor bug fixes

------ Version: 2.0.1 --------
- Google Web Stories support added
- Added Web Stories Elementor block
- Added single Web Story Elementor block
- Added thumbnail size for WooCommerce products block
- Added new mobile app and software demo
- Added new fashion review and monetization blog
- Improved tablet layout for single grouped products
- Improved price button color settings
- Improved footer HTML code
- Fixed mini cart price issue
- Various other improvements and minor bug fixes

------ Version: 2.0 --------
- Added new Reviews, AF Marketing demo
- Added GA 4 analytics settings
- Added native browser share button
- Added Flipboard share button
- Added system UI font
- Added disable Google font setting
- Added Gutenberg note block
- Added Gutenberg review block with schema support
- Added Gutenberg subscribe email to download with Mailchimp integration
- Added Gutenberg affiliate product block
- Added Gutenberg affiliate list block
- Added Gutenberg accordion block
- Added Gutenberg list style block
- Added Gutenberg highlight text block
- Added dynamic query for author
- Added dynamic query for tag
- Added logout link for mobile menu section
- Added Tiktok follower
- Added menu items divider style
- Added counter settings for flex blocks
- Added meta color settings for flex blocks
- Added dynamic archive, category, search, and custom taxonomy title block
- Added dynamic archive description block
- Added global tag template setting
- Improved quick transition missing strings
- Improved support for native ratio (0) when creating custom image size
- Improved WooCommerce mini cart
- Fixed table of content scrolling issue with infinite load next
- Fixed empty layouts in the editor when selecting dynamic query
- Fixed description text for ad image and ad script that doesn't work
- Fixed transparent logo issues
- Fixed bookmark icon style
- And many other new features, improvements and minor bug fixes

------ Version: 1.9.3 --------
- Fixed light retina logo issue
- Fixed entry category style on the flex list on mobile devices
- Remove Elementor AI in query filter settings
- And other improvements and minor bug fixes

------ Version: 1.9.2 --------
- Added new demo Learning chatbot blog
- Added search for Theme Options panel
- Added new mobile header layout
- Added flipped featured image style for the flex list block
- Added border style settings for input and textarea throughout the website
- Added hover styles for the button
- Added hover color settings and improve bookmark and follow button style
- Improved dark mode settings to make it easy to understand
- Improved WooCommerce styling on account, add to cart, and checkout pages
- Improved border radius style for the boxed list block
- Optimize theme speed
- Reduce theme package size
- Fixed "undefined" issue with the follow button
- Fixed AMP issue on some hostings
- And other improvements and minor bug fixes

------ Version: 1.9.1 --------
- Added call-to-action block
- Added more contact Form 7 column styling and column via form HTML structure
- Fixed cart "sold individually" quantity layout issue
- Improved single page header settings and styles
- Added global color for WooCommerce pages.
- Improved overall form and table WooCommerce.
- Update google fonts
- And other improvements and minor bug fixes

------ Version: 1.9.0 --------
- Improved the overall speed of the theme by optimizing the CSS, JavaScript code, AJAX requests, and numerous PHP functions
- Bring bookmarks to the next-gen level, now called "Personalized System", with new features and optimize the user experience, and more.
- Rewrite Personalized system and store data in separate database table for faster and easier management
- Added user reading history with expirated settings and more
- Added personalized Elementor blocks that allow you to display user interests, bookmarks, and reading history anywhere on the site, includes: Grid, List and Overlay
- Allow you to control the elements and design of personalized blocks as the flex blocks
- Support both loading methods, AJAX and direct, for personalized blocks to improve user experience
- Automatically remove bookmark data if the guess users hasn't been active for more than x days, as set in the settings
- Optimize by removing the limit on bookmarks to increase user engagement and speed up queries
- Optimize by reducing overall bookmark HTML and notification HTML to optimize DOM size
- Improved the follow notification
- Improved the follow button layout in the category and author page
- Optimize by switching guest bookmark detector to session ID based on device to increase user experience
- Optimize restricted bookmark settings
- Added inline bookmark meta for all blocks
- Added new features to the categories block, support dynamic display based on users followed
- Added the categories search block with live results
- Optimize by reducing CSS in ratio setting of category blocks
- Added like/dislike meta for all blocks and single post
- Track like/dislike by IP and compatible with cache plugin
- Optimize the post reaction system
- Optimize by retricst user only can post 1 reaction for a post
- Optimize by changing reaction data to reduce database usage
- Added horizontal scroll settings for only tablet and mobile separately for all blocks
- Added new settings for the post search blocks
- Optimize overall the notification block including: queries, AJAX requests, layouts, and new settings.
- Added query settings for the notification block to display the latest updates within X days (where X is defined in the theme settings)
- Based on the browser scheme, add a detector to automatically assign dark mode when the user visits the website for the first time
- Added new black/white style for the social counter
- Added new columns and gap setting for the social counter
- Optimize the position and layout of tooltips display
- Added new demo: Just for You
- Added an "Update Demos" button so that users can get new demos without having to deactivate and reactivate the theme
- Improved table layout in the post content
- Fixed the font size of H tags in the post content when a link is set
- Fixed not possible to click on the single comment meta when the hide comment box feature is enabled
- Fixed JAX pagination still appears in the block that only one page
- Fixed SVG icon issues in the menu
- And many other improvements and minor bug fixes

------ Version: 1.8.1 --------
- Added book shop demo
- Added military demo
- Added a pop-up notification when added to cart
- Added featured image for grouped product
- Added new layouts for product listing: boxed background, border and shadow
- Added new add to cart layout: visible and visible when hovering
- Added new add to cart style: background or boder with text and color settings
- Added an "offset" parameter for the products shortcode. The default WooCommerce shortcodes do not support this parameter
- Added a scrollbar for the mini cart if it overflows the screen
- Added a list layout for product listings on desktop, tablet, and mobile, with specialized settings
- Added font size settings for single product
- Added hide product category settings
- Added and optimize settings for Foxiz Products, allowing control over the overall layouts and styles for all devices
- Added support products in the search page results with price meta
- Added 'exclude page' and 'exclude attachment' settings for the search results
- Added new layout (re-wrap) for single meta
- Added new layout for the single bookmark layout
- Added automatically remove duplicate posts (itself) if there is a post listing in the single post sidebar or content
- Added more settings and optimize the layout for the banner block
- Added global color settings for the popular index counter
- Added color settings for small list index counter setting
- Added the dark mode color setting for the review star
- Added color settings for sponsored meta
- Added background and border color settings for the search icon block
- Improved SEO score in page speed test
- Improved accessibility score in page speed test
- Improved support for the WOFF2 format for the theme icons to reduce load time
- Improved reduce the package file size (currently only 2.8MB)
- Improved optimized gallery layout for the single product gallery
- Improved optimized layout for grouped product
- Improved product quality button and fix style issues on Firefox
- Improved reduce and optimize CSS code for WooCommerce
- Improved change mobile and tablet font sizes position in theme options to make them easier to edit
- Improved the WooCommerce settings panels
- Improved weather widget
- Fixed spacing issues with video and audio post in AMP
- And many other improvements and minor bug fixes

------ Version: 1.8.0 --------
- Added pet demo
- Added animals demo
- Added template builder for Single Post
- Added template builder for custom post type
- Added flex list block
- Added excerpt column setting for flex blocks and classic block
- Added post title block
- Added post tagline block
- Added entry category block
- Added Feature image block
- Added post content block
- Added author box block
- Added post pagination block
- Added post comments block
- Added post related block
- Added post breadcrumb block
- Added new layout for the search icon block
- Improved importer in hostings do not support direct fs_method
- Improved unique posts, mega menu posts (created with Ruby Template) will not be included
- Improved notification red dot style to avoid page speed test issue
- Improved reduce JS load
- Improved dynamic CSS code
- Re-order Elementor blocks and icon for easy to edit
- Fixed quick translation issue in some hostings
- Fixed blockquote style issue
- And other improvements and minor bug fixes

------ Version: 1.7.5 --------
- Added template builder for the mobile collapse section
- Fixed tweet widget issue on Firefox
- Fixed AMP validate issue
- Fixed AMP and Elementor conflict in the single page
- Fixed logo layout in the login page
- And other improvements and minor bug fixes

------ Version: 1.7.4 --------
- Improved compatible with PHP 8.2
- Update Envato market plugin
- Fixed post format filter issue
- Fixed ids param issue of the related shortcode
- And other improvements and minor bug fixes

------ Version: 1.7.3 --------
- Fixed category color setting compatible with PHP 8.1

------ Version: 1.7.2 --------
- Fixed primary category setting issue

------ Version: 1.7.1 --------
- Added custom taxonomy query for Elementor blocks. This allows you to query any custom taxonomy created by code or 3rd party plugins. Default post, custom post type and query condition supported.
- Added custom post type query for Elementor blocks. This allows you to show custom post types with Foxiz blocks.
- Added new health demo
- Added new tutorial, seo tips demo
- Added post title color setting for Elementor block
- Added disable inline ads and auto ads for Individual posts
- Added inline ads supported for the single podcast.
- Added responsive list/grid mode for Boxed List blocks.
- Added menu hover effect
- Added & improve overall settings for the review meta
- Added & improve overall settings for the quick links block
- Added color and background settings for the submit button of newsletter blocks
- Added new single author meta style
- Improved image OG tag for the 404 page
- Update Google fonts
- Improved descriptions in the theme settings to make it more useful
- Fixed review meta in the structure settings of flex blocks
- Fixed to cart button issue on the mobile in some cases
- And other improvements and minor bug fixes

------ Version: 1.7.0 --------
- Improved overall PHP and JS code for speed
- Switch to use term metadata for categories, tags and menu settings to optimize for larger websites (over 100k posts)
- All in one Woocommerce products: supports all filters via standard woocommerce shortcodes. Place anywhere, responsive columns settings
- Added science news demo
- Added coffee house demo
- Added sport magazine demo
- Added horizontal scroll mode on the tablet and mobile devices for Grid blocks
- Added horizontal scroll mode on the tablet and mobile devices for Overlay blocks
- Added horizontal scroll mode on the tablet and mobile devices for categories blocks
- Added horizontal scroll and responsive list mode for the products block
- Added center mode for the products list
- Update Google fonts
- Added covid tracking fallback values settings
- Improved header sticky and single title sticky script
- Improved default settings json file
- Improved read indicator script
- Improved newsletter 1, 2 inner padding settings & add mobile full width style for the block newsletter 1
- Improved importer, you can also export and import individual categories, shows, tags settings though the default XML file
- Fixed podcast player button styles
- Fixed duplicated popup image product when enable Elementor lightbox
- And other improvements and minor bug fixes

------ Version: 1.6.8 --------
- Update for Font systems: merge Google and Adobe fonts in one list. You can set Adobe fonts for all Elements via Theme Options > Typography
- Added HubSpot CRM plugin as the recommended plugin: forms, live chat, CRM (contact management), email marketing, and analytics
- Added enterprise news demo
- Improved theme styles
- And other improvements and minor bug fixes

------ Version: 1.6.7 --------
- Added new style for the heading block
- Added typography settings for post excerpt
- Fixed inline save category issue
- And other improvements and minor bug fixes

------ Version: 1.6.6 --------
- Improved highlight and overlay block styling and CSS
- Improved block hrc 3 styling
- Improved top site ad script spacing
- Improved remove scroll to top after closing the mobile menu
- And other improvements and minor bug fixes

------ Version: 1.6.5 --------
- Added classic blog demo
- Added academy, university news demo
- Added wrapper width setting
- Added image box with dark mode image
- Added dark mode background overlay settings for Elementor section ad columns
- Added dark mode settings for Elementor container mode
- Added dark mode colors and background for default Elementor blocks: testimonial, rating, counter and more...
- Added new header style for the tag and archive
- Added individual tag settings panel.
- Added template builder for individual tags
- Added featured image position setting for Elementor blocks
- Added read more size settings for Elementor blocks
- Added pagination styles for Elementor blocks
- Added new overlay schemes for overlay blocks
- Added overlay settings for overlay blocks
- Added new divider styles for post entry meta: line, dot, solid...
- Added follow button for the header category page
- Added follow button for the header author page
- Added lightbox for single featured image
- Added lightbox for all gallery post layouts
- Added boxed settings and styles for the flex grid 1
- Added boxed settings and styles for the flex grid 2
- Added flex overlay block
- Compatible with WP 6.1.x
- Improved preload dark mode, almost stop flickering with the local storage mode
- Improved optimize code to reduce CSS
- Improved 404 page settings
- Improved update Google fonts
- Improved entry category colors in dark mode
- Improved setting description to make it easy understand
- Fixed font backup settings issues
- Fixed grid box 2 and list box 2 settings
- Fixed lazyload settings in WP 6.1
- And many other improvements and minor bug fixes

------ Version: 1.6.4 --------
- Added automotive demo
- Added title icon setting for the small list 1
- Added dark mode switcher color settings
- Added back to top setting for the mobile devices
- Added left relative position setting for the mega menu if the mega menu width is set
- Added login label setting for the mobile logo button
- Added one column layout for the mobile submenus
- Improved logo functions
- Improved remove slide up section in AMP mode
- Fixed color settings don't apply to the custom mini cart, notification when using custom SVG
- Fixed font size settings don't apply to the custom mini cart, notification when using custom SVG
- Fixed tooltip and back to top settings don't appear in Theme Options
- And other improvements and minor bug fixes

------ Version: 1.6.3 --------
- Support bbPress forum: styles, layout and features
- All bbPress codes are modules, only loaded when needed
- Added private content for bbPress plugin
- Added text text avatar for forum
- Added sidebars for all bbPress pages
- Added add new topic toggle box
- Added custom meta for new topic
- Added custom status for the topic and many other features
- Added hover background style for menu
- Added new simple image gallery block
- Added on/off search form in the mobile devices
- Added dark mode background settings for Elementor column
- Added new single page header 3, 4
- Improved single page width settings
- Improved search settings in the mobile header
- And other improvements and minor bug fixes

------ Version: 1.6.2 --------
- Added new homepages the times and network
- Improved series page flickering when load if use Ruby Template
- Improved blockquote icon not load in some cases
- Improved retain custom HTML tags such as a, i tags inside H tags when using TOC
- Improved automatically disable default fonts and color Elementor when activate the theme to increase site speed
- Improved sticky menu speed
- Improved ajax pagination js performance
- Improved podcast related query if choose same series only
- Fixed bottom spacing in the mobile list layout if enable the bottom border divider
- And other improvements and minor bug fixes

------ Version: 1.6.1 --------
- Support TOC for the Elementor post
- Improved One-click importer
- Improved missed text in the quick translation
- And other improvements and minor bug fixes

------ Version: 1.6.0 --------
- Added new travel demo
- Added new podcast post type supports
- Added new single podcast layouts
- Added new series taxonomy
- Added episode index, duration meta for podcast post type
- Added new query filter by episode index desc, acs..
- Added schema markup for the episode
- Added flex grid podcast block
- Added flex list podcast block
- Added flex overlay podcast block
- Added using the single layout 8 for custom post type
- Added bookmark meta in the single post
- Added new read more button styles: text, background
- Added new ruby font icons
- Added read more text settings for podcast format
- Added single sidebar width setting
- Added single sidebar divider style
- Added more entry category styles for all Elementor and default blocks
- Added grid or list layout control in the mobile for grid 1, grid 2, list 1, list 2...
- Added new minimalist layout for the category header
- Added featured image width in the mobile for the small grid block
- Added self-hosted audio player style
- Added use HTML5 player for self-hosted video
- Added new lazy load settings: for the featured image and single images
- Added lazy load control for all Elementor blocks
- Improved block structure to reduce HTML DOM size
- Improved query function and speed
- Improved related posts query
- Improved entry category spacing
- Improved entry meta divider style
- Improved setting descriptions for easy to use
- Improved theme settings load in the local environment
- Improved remove permalink in the view meta
- Fixed entry meta setting in the post widget
- Fixed change "posted by" to "by"
- Fixed white spacing in audio self-hosted
- Fixed self-hosted video layout issues
- Fixed lazyload settings not work
- Fixed hide single post meta in the tablet
- Fixed author page load issues
- And many other new features, improvements and minor bug fixes

------ Version: 1.5.3 --------
- Added header template setting for the single post
- Added header template setting for the gallery post format
- Added header template setting for the video post format
- Added header template setting for the audio post format
- Added table of contents settings for individual pages
- Added new demos & homepages
- And other improvements and minor bug fixes

------ Version: 1.5.2 --------
- Added border color for Elementor column in the dark mode
- Added priceValidUntil input for post review
- Added font size setting for the bookmark icon
- Added bold style for custom meta
- Added new demo
- Improved schema markup with/without user reviews
- Improved missing text quick translation
- And other improvements and minor bug fixes

------ Version: 1.5.1 --------
- Added ajax for the notification section to make it compatible with 3rd party cache plugins
- Added more options for the author box 1, 2
- Improved disable "recommended for you" flex grid in AMP mode
- And other improvements and minor bug fixes

------ Version: 1.5.0 --------
- Added follow authors to the bookmark system
- Added author lists 1
- Added authors list 2
- Added follow author settings to the bookmark system
- Added follow categories for guest users- Added follow authors for guest users
- Added ajax load for reading list to make it compatible with 3rd party cache plugins
- Added ajax load for the categories saved section make it compatible with 3rd party cache plugins
- Added ajax load for the authors saved section to make it compatible with 3rd party cache plugins
- Added ajax load for the the "recommended for you" section to make it compatible with 3rd party cache plugins
- Added dynamic query for the "recommended for you" section for both logged and guest users
- Added template builder for the recommended for you section
- Added "recommended for you" grid flex 1 to show posts based on user interests
- Added "recommended for you" grid flex 2 to show posts based on user interests
- Added support ajax load more and infinite scroll for "recommended for you" blocks
- Added template builder for the single related section (at the end of single post)
- Added entry category meta for the header notification
- Added entry category meta for the live search results
- Added total amount for the mini cart
- Added custom SVG setting for the mini cart and size control
- Added display total amount setting for the mini cart
- Added custom SVG for the popup logo and size control
- Added custom SVG for the notification icon and size control
- Added color schemes setting for the overlay grid 2 (for carousel dots/navs in a dark background)
- Added sticky the left share bar at the bottom on the mobile devices
- Improved overall grid system spacing to fix collapse spacing issues in the grid system in some cases
- Improved automatically same height for the boxed grid and list layouts
- Improved reduce Elementor dynamic CSS
- Improved reduce HTML DOM size
- Improved reduce CSS code
- Improved bookmark removing style and animation in the reading list page
- Improved reduce URL length for ajax pagination GET methods
- Improved ajax pagination speed
- Improved remove sync bookmark in pagination ajax call
- Improved load screen speed when Edit with Elementor
- Improved popup login settings for whole the website
- Improved redirect URLs settings for login, logout...
- Improved move all settings for login to Theme Options > Login
- Improved custom search SVG will apply to whole the website
- Improved update Google fonts
- Improved settings sort order and description in the Theme Options to make it easier than to use
- Fixed featured image size settings in the small list 1,2,3
- Fixed ajax pagination in the search page doesn't query correct
- Fixed duplicated show "You've reached the end of the list!" when visitors scroll too fast in a block that enables infinite scroll
- Fixed twitter widget link issues
- Fixed AMP issues with header and footer builder
- And other improvements and minor bug fixes

Please note: This update contains improving Elementor dynamic CSS. Please make a small temporary change and update the homepage to reload the CSS cache.

------ Version: 1.4.7 --------
- Added copy link for the sticky share bar
- Added shortcode [ruby_review_box] to set box review position
- Added meta description for single post and archives
- Added use Jetpack OG tags if this plugin is installed
- Improved user profile website icon
- Improved copy post link icon
- Improved single layout 4 background issue with some meta category styles
- Improved user Twitter id to prevent yoast SEO conflicts
- Improved OG tags for Twitter shares
- Improved detect opengaph plugins to disable default OG tags to prevent duplicate code
- Improved detect SEO plugins to disable default schema markup to prevent duplicate code
- And other improvements and minor bug fixes

------ Version: 1.4.6 --------
- Added no header with and without mobile header settings for individual page
- Added secondary color setting for default icon widget
- Improved redirect to the current URL for the adblock popup button
- Improved higher priority for the adblock popup than the newsletter popup
- Improved reaction compatible with cache plugins
- Improved category list 4 layout on the mobile
- Fixed AMP validation issue in Related Gutenberg block
- And other improvements and minor bug fixes

------ Version: 1.4.5 --------
- Added disable right click on the Adblock detector popup
- Added "Published" Label setting for single post meta
- Improved adblock detector script
- Improved default single entry meta settings for more SEO friendly
- Improved change the author label text to "By".
- Improved theme package file size
- Fixed entry view meta issue on ajax load
- Fixed PHP notice when install theme on a fresh site in PHP7
- And other improvements and minor bug fixes

------ Version: 1.4.4 --------
- Added custom user SVG icon for the header login block
- Added dark mode color settings for the default image box
- Added dark mode color settings for the default icon box
- Added dark mode color settings for the default icon list
- Added re-wrap text option for the breadcrumb bar
- Added a new demo
- Improved subcategories styling in the category header
- Improved shape divider settings to optimize with the dark mode
- Improved default shape divider styling for the dark mode
- Fixed mobile sticky issue on the header template
- Fixed the "disabled" setting of the global header category
- Fixed automatically inline related setting conflicts with TOC
- And other improvements and minor bug fixes

------ Version: 1.4.3 --------
- Added color settings for the native heading Elementor block in the dark mode
- Added color settings for the native text editor Elementor block in the dark mode
- Added color settings for the native button Elementor block in the dark mode
- Added color settings for the native divider Elementor block in the dark mode
- Added new google fonts
- Improved background settings will apply to the boxed layouts in the shadow style
- Fixed single related heading spacing in version 1.4.2
- And other improvements and minor bug fixes

------ Version: 1.4.2 --------
- Added flex grid 1
- Added flex grid 2
- Added heading layouts: 14,15,16,17,18
- Added element spacing for the heading
- Added Featured image hover effect: fade out, black&white, scaling
- Added show/hide option for the header social icon block to avoid duplicated icons in the single post
- Added width selection for the top private bar section
- Added support open graph for all pages
- Added Jetpack shortlink (wp.me) for share buttons if it is enabled
- Added new demo
- Improved newsletter box 1,2,3 layout on the tablet
- Improved remove single sticky title settings in Elementor. Now you can use Use Theme Options > Single sticky bar for whole the site headers
- Improved CSS code
- Fixed top privacy bar not display on the header template
- Fixed global color settings for the heading
- Fixed color settings for heading layout 6 and 13
- And other improvements and minor bug fixes

------ Version: 1.4.1 --------
- Added inline post related gutenberg block
- Added membership new label style
- Added new random filter for all block layouts: last 30 days, 3 months, 6 month and last year
- Added new popular filter for all block layouts: last 7, 30 days, 3 months, 6 month and last year
- Added excerpt color option for the dark mode
- Added entry meta and important meta color options for the dark mode
- Added avatar size icon setting for all block layouts
- Added meta font size option for all block layouts
- Added grid borders options for the block overlay 1, 2
- Added new Game demo
- Improved reorder block design settings for easy to manage and edit in Elementor
- Improved reorder block design settings for easy to manage and edit in Theme Options
- Improved optimize theme codes
- Fixed border radius not affect in the border style of boxed blocks
- And other improvements and minor bug fixes

------ Version: 1.4 --------
- Added rounded corner setting for block grid 1,2
- Added rounded corner setting for block small grid
- Added rounded corner setting for block list 1,2
- Added rounded corner setting for block boxed grid 1,2
- Added rounded corner setting for block boxed list 1,2
- Added rounded corner setting for block overlay 1,2
- Added responsive column settings for the social counter block
- Added footer slide up section to display any ads, templates or shortcodes
- Added header builder setting for the blog page
- Added header builder setting for individual category page
- Added header builder setting for individual single page
- Added header builder setting for the search page
- Added global blog template builder (the latest blog listing) for the blog page
- Added global blog template builder for the category pages
- Added global blog template builder for the author page
- Added global blog template builder for the search page
- Added global blog template builder for the tags and archive pages
- Added query mode and pagination settings in Ruby template for block grid 1,2
- Added query mode and pagination settings in Ruby template for block boxed grid 1,2
- Added query mode and pagination settings in Ruby template for block list 1,2
- Added query mode and pagination settings in Ruby template for block boxed list 1,2
- Added query mode and pagination settings in Ruby template for block overlay 1,2
- Added slider next/prev position settings for the block overlay 1
- Added navigation bar style settings for the category pages
- Added navigation bar style settings for the search page
- Added mobile cart in the mobile header
- Added show/hide language bar in the login screen
- Added login form position settings for the login screen
- Added logout redirect for the header user menu dropdown
- Added font size setting for the copyright text
- Added top border setting for the footer
- Added new mobile header style
- Added on/off search icon setting for the AMP header
- Added more dynamic tags for the block heading: {author}, {tag}, {search}
- Added more them demos
- Improved text-decoration hover effect on Firefox
- Improved header alert bar spacing when enable header sticky
- Improved header category style 2 spacing on the mobile device
- Improved update google fonts
- Improved automatically heading sub color in the category page
- Improved shop cart table layout in the mobile devices
- Improved reduce the theme package file size, optimize performance
- Fixed login redirect in the login screen issue
- Fixed logout redirect in the login screen issue
- Fixed default header style setting issue
- And other improvements and minor bug fixes

------ Version: 1.2.4 --------
- Added copy post link button and icon
- Added multiple authors microdata markup
- Improved article microdata markup
- Improved minor CSS styling
- And other improvements and minor bug fixes

------ Version: 1.2.3 --------
- Added classname to control columns of products shortcode in tablet and mobile devices
- Improved minor CSS styling
- Improved update Google fonts
- And other improvements and minor bug fixes

------ Version: 1.2.2 --------
- Added menu list block
- Added padding settings for sidebar banner block
- Improved change counter layout for the small list 1
- Improved logo block, add fallback logo when no dark mode logo is set
- Improved sticky in case multiple sections in the header template
- Improved remove the sticky setting for the inner section
- And other improvements and minor bug fixes

------ Version: 1.2.1 --------
- Added bottom border settings with styles: solid, dashed and dotted for all Elementor post listing blocks
- Added dotted & dashed style for the columns border
- Added featured image position on the mobile for the small grid block
- More compatible with Elementor version 3.6.5
- Improved remove the divider settings and switch to use border settings for the small list 1 block
- Fixed menu more section columns issue in version 1.2
- And other improvements and minor bug fixes

------ Version: 1.2 --------
- Added dark mode background settings for Elementor section
- Added title & tagline font settings for the Heading block
- Added title & entry category font settings for the Classic block
- Added title & entry category font settings for the Grid 1 block
- Added title & entry category font settings for the Grid 2 block
- Added title & entry category font settings for the Boxed Grid 1 block
- Added title & entry category font settings for the Boxed Grid 2 block
- Added title & entry category font settings for the Small Grid block
- Added title & entry category font settings for the List 1 block
- Added title & entry category font settings for the List 2 block
- Added title & entry category font settings for the Boxed List 1 block
- Added title & entry category font settings for the Boxed List 2 block
- Added title & entry category font settings for the Small List 1 block
- Added title & entry category font settings for the Small List 2 block
- Added title & entry category font settings for the Small List 3 block
- Added title, secondary title & entry category font settings for the Hierarchical 1 block
- Added title, secondary title & entry category font settings for the Hierarchical 2 block
- Added title, secondary title & entry category font settings for the Hierarchical 3 block
- Added text color scheme for the Hierarchical 1 block
- Added title & entry category font settings for the Overlay 1 block
- Added title & entry category font settings for the Overlay 2 block
- Added category name and count posts font settings for the Category List 1 block
- Added category name and count posts font settings for the Category List 2 block
- Added category name, description and count posts font settings for the Category List 3 block
- Added category name and count posts font settings for Category List 4 block
- Added category name and count posts font settings for Category List 5 block
- Added title and description font settings for the Newsletter 1 block
- Added title and description font settings for the Newsletter 2 block
- Added title and description font settings for the Sidebar Newsletter block
- Added label and quick link item font settings for the Quick Links block
- Added playlist and playing now title font settings for the Youtube playlist block
- Added label and total number font settings for the Covid tracker block
- Added title, location and current temperature font settings for the weather block
- Added total fans and description font settings for the socials counter block
- Added headline, description and plan features font settings for the pricing/plan block
- Added title and description font for the banner block
- Added Elementor header builder
- Added the logo block
- Added dark mode toggle block
- Added navigation block
- Added social list block
- Added search icon block
- Added header notification block
- Added mini cart block
- Added header login icon block
- Added font resizer icon block
- Added sticky header settings in Elementor section (Ruby Template)
- Added header template shortcode setting in Theme Options
- Added header template shortcode setting in Single Post Option panel
- Added header template shortcode setting in Single Page Option panel
- Added width setting for header more section
- Added width setting for mega column menu
- Added color scheme setting for each mega menu item
- Added Elementor home templates when importing demo content
- Improved mega menu settings and display positions
- Improved update Font Awesome version 6.1.1
- Improved update google fonts
- Improved optimize theme functions code
- Fixed RTL social icons
- Fixed RTL tipsy arrow style
- Fixed RTL breadcrumb bar
- Fixed num list index setting of TOC
- Fixed post status in ajax search
- Fixed logo issues in default dark mode
- Fixed "posted by" translate
- And other improvements and minor bug fixes

------ Version: 1.1.5 --------
- Added review comment for standard post format
- Added live search can activate in the search form of the more menu popup section
- Added live search for the header 4
- Fixed reading indicator setting issue
- Fixed Disable all comments setting issue
- Fixed footer AMP ads issue
- Fixed via/source post options issue in some servers
- And other improvements and minor bug fixes

------ Version: 1.1.4 --------
- Added Ruby template option for the bottom area of the blog index
- Added Ruby template option for the shop page
- Added user rating in comments without post review activated
- Added AMP AdSense and custom ads for the header
- Added AMP AdSense and custom ads for the footer
- Added AMP AdSense and custom ads for the top single post
- Added AMP AdSense and custom ads for inline single contents
- Added AMP AdSense and custom ads for the bottom single post
- Improved allow fractional numbers in the post review
- Fixed shop sidebar issue
- Fixed font size issues of subscription product in the checkout page
- Fixed "Add to cart" button layout of various product type
- Fixed menu sub label color issue
- Fixed cannot remove all data of the repeated fields in post options
- And other improvements and minor bug fixes

------ Version: 1.1.3 --------
- Added column border settings for Elementor blocks
- Added sponsored meta without label setting for Elementor blocks
- Fixed block classic settings issues
- And other improvements and minor bug fixes

------ Version: 1.1.2 --------
- Added 300x100 setting for responsive ads
- Added 320x100 setting for responsive ads
- Improved margin if there have more than one widget in entry widget sections
- Fixed automatically get video thumbnails does not work sometimes
- And other improvements and minor bug fixes

------ Version: 1.1.1 --------
- Switch global unique post setting to individual setting for each Elementor block. This change will let you easily control query of featured blocks and offset setting.
- Improved spacing if the single author box is empty
- Fixed 404 description setting
- Fixed wrong cache display in Ajax pagination next/prev
- Fixed single post style 6 issue on mobile
- And other improvements and minor bug fixes

------ Version: 1.1 --------
- Added AMP in Transitional mode supported
- Added AMP layouts, AMP theme design will look similar the primary templates design
- Added AMP comment support
- Added footer settings for AMP including: logo, copyright, socials, back to top and much more...
- Added single post settings for AMP including: turn on/off share bars, author card, related section, sidebars and much more...
- Added AMP auto ads setting
- Added AMP carousel for gallery post format
- Added background settings for header 4
- Added post excerpt font size settings for Elementor blocks
- Added color settings for the dark mode switcher icon
- Added excerpt color setting
- Added delete project button for Adobe fonts (typekit)
- Improved smooth sidebar moving when sticky
- Improved gallery caption style
- Improved hover effect for entry category dotted style
- Improved optimize gray border and box shadow colors to suit with both dark and light mode
- Improved optimize theme functions for AMP mode
- Improved optimize CSS, reduce CSS file to meet 75 kb file size AMP CSS requirement.
- Improved Excluded print css out of AMP mode.
- Improved update colors panel in Theme Options.
- Improved count posts including children categories in the category dropdown selection setting.
- Fixed smooth scroll of table of content in RTL language
- Fixed single style 2 background issue when a post does not have featured image
- Fixed live search not work when logged
- Fixed live search results conflict with the unique post feature
- Fixed slider navigation issue of the single gallery style 2
- And other improvements and minor bug fixes

------ Version: 1.0.6 --------
- Added AdSense auto ads supported
- Added automatically disable unit ads if using auto ads
- Added Inline single post ads, display after x paragraphs
- Added last border and spacing settings for small list 1 layout
- Improved update Google fonts
- Improved open share on socials in a popup window
- Fixed set dark mode as the default issue
- And other improvements and minor bug fixes

------ Version: 1.0.5 --------
- Added automatically inline related box
- Fixed top reviews filter issue
- Fixed related by category filter issue
- Fixed single heading responsive font size settings
- Fixed single tagline responsive font size settings
- Fixed small spacing bugs in RTL mode
- And other improvements and minor bug fixes

------ Version: 1.0.4 --------
- Added live search ajax for standard form
- Added new styles for the header 5
- Added typography option for the tagline of heading block
- Improved ajax load next posts
- Fixed button next post redirect to wrong URLs in some hostings
- Fixed header 5 background setting
- Fixed RTL style
- Fixed backend translation issues
- And other improvements and minor bug fixes

------ Version: 1.0.3 --------
- Added ruby template widget for sidebar
- Added Rank math SEO breadcrumb supported
- Added header height setting for the mobile
- Added new entry category style
- Added border style for the exclusive label
- Added new heading style: 11,12,13
- Added post highlights feature
- Added custom border value settings for images whole the website
- Added Unique posts, do not display duplicate posts in Elementor builder
- Improved single floating video
- Improved social counter widget styling
- Improved full query filter settings for the widget post
- Improved update envato market plugin
- And other improvements and minor bug fixes

------ Version: 1.0.2 --------
- Added table of content full width one column layout
- Fixed post options layout in small desktop
- And other improvements and minor bug fixes

------ Version: 1.0.1 --------
- Added RTL support
- Improved category entry meta styling
- Improved excerpt summary function
- Fixed left side whatsapp icon alignment issue
- And other improvements and minor bug fixes

------ Version: 1.0 --------
- Initial release